jif.ast

## Class JifLocalDecl_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - polyglot.ast.Term_c
    - - polyglot.ast.Stmt_c
      - - polyglot.ast.LocalDecl_c
        - - jif.ast.JifLocalDecl_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, polyglot.ast.ForInit, polyglot.ast.LocalDecl, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.ast.TermOps, polyglot.ast.VarDecl, polyglot.ast.VarInit, polyglot.util.Copy<polyglot.ast.Node>

  Deprecated.

      @Deprecated
      public class JifLocalDecl_c
      extends polyglot.ast.LocalDecl_c

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class polyglot.ast.LocalDecl_c

      `polyglot.ast.LocalDecl_c.AddDependenciesVisitor`

    - ### Nested classes/interfaces inherited from interface polyglot.ast.Term

      `polyglot.ast.Term.Instance`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class polyglot.ast.LocalDecl_c

      `flags, init, li, name, type`

    - ### Fields inherited from class polyglot.ast.Term_c

      `exceptions, reachable`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

    - ### Fields inherited from interface polyglot.ast.Term

      `ENTRY, EXIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JifLocalDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.TypeNode type, polyglot.ast.Id name, polyglot.ast.Expr init)` Deprecated.
    `JifLocalDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.TypeNode type, polyglot.ast.Id name, polyglot.ast.Expr init, polyglot.ast.Ext ext)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)` Deprecated.

    - ### Methods inherited from class polyglot.ast.LocalDecl_c

      `acceptCFG, addDecls, buildTypes, checkConstants, childExpectedType, constantValueSet, copy, declType, disambiguate, dump, enterChildScope, extRewrite, firstChild, flags, flags, flags, id, id, id, init, init, init, isDisambiguated, localInstance, localInstance, localInstance, name, name, prettyPrint, reconstruct, toString, type, type, type, typeCheck, typeCheckEnter, varInstance`

    - ### Methods inherited from class polyglot.ast.Term_c

      `exceptionCheck, exceptions, exceptions, exceptions, listChild, reachable, reachable, reachable`

    - ### Methods inherited from class polyglot.ast.Node_c

      `buildTypesEnter, copy, copy, copyIfNeeded, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterScope, error, error, error, exceptionCheckEnter, ext, ext, ext, ext, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface polyglot.ast.Term

      `exceptions, exceptions, reachable, reachable`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `buildTypesEnter, copy, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterScope, exceptionCheck, exceptionCheckEnter, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheckOverride, visitChild, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### JifLocalDecl_c

          public JifLocalDecl_c(polyglot.util.Position pos,
                                polyglot.types.Flags flags,
                                polyglot.ast.TypeNode type,
                                polyglot.ast.Id name,
                                polyglot.ast.Expr init)

      Deprecated.

    - #### JifLocalDecl_c

          public JifLocalDecl_c(polyglot.util.Position pos,
                                polyglot.types.Flags flags,
                                polyglot.ast.TypeNode type,
                                polyglot.ast.Id name,
                                polyglot.ast.Expr init,
                                polyglot.ast.Ext ext)

      Deprecated.

  - ### Method Detail

    - #### visitChildren

          public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

      Deprecated.
      Specified by:
        `visitChildren` in interface `polyglot.ast.NodeOps`
      Overrides:
        `visitChildren` in class `polyglot.ast.LocalDecl_c`